﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Collections.ObjectModel;

namespace XamTreeBinding
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Person> Data { get; set; }
        
        public MainPage()
        {
            InitializeComponent();
            Data = new ObservableCollection<Person>();

            ObservableCollection<Person1> children = new ObservableCollection<Person1>();
            children.Add(new Person1() { Name1 = "Child",IsSelected = true });

            Data.Add(new Person() { Name = "Jonny", Child = children, IsSelected = true });
            Data.Add(new Person() { Name = "Jim", Child = children, IsSelected = false });
            Data.Add(new Person() { Name = "Jack", Child = children, IsSelected = true });
            Data.Add(new Person() { Name = "Jameson", Child = children, IsSelected = false });

            this.DataContext = Data;
        }
    }

    public class Person
    {
        public string Name { get; set; }
        public bool IsSelected { get; set; }
        public ObservableCollection<Person1> Child { get; set; }
    }

    public class Person1
    {
        public string Name1 { get; set; }
        public bool IsSelected { get; set; }
    }
}
